> For the complete documentation index, see [llms.txt](https://docs.cloudfabrix.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cloudfabrix.io/rda/installation/log-shippers/syslog-udp.md).

# Syslog (udp)

This section explains how you can configure 'syslog' like a log shipper.

In order for syslog component to send the log details to the event gateway,  users have to configure two elements.

1. Event Gateway Endpoint
2. Systems syslog configuration on VMWare vSphere  environment

**Step 1:**&#x20;

An example Event Gateway Endpoint configuration is captured in the below configuration snippet.

```
// Gateway Endpoint:
endpoints:
- name: syslog_udp_events
  enabled: true
  type: syslog_udp
  port: 514
  attrs:
    site_code: cfx_dc1
    archive_name: network_syslogs
  stream: syslog-udp-stream-01
```

**Step 2:**&#x20;

An example VMWare vSphere configuration is captured in the below configuration snippet.

From vCenter Configuration,&#x20;

Select host --> Configuration --> Advanced Settings -->Syslog-->Syslog.global.loghost&#x20;

Provide target event gateway udo details --> udp\://eventgatewayip:port

Example: **udp\://\<event-gateway>:514**

Note: User is expected to have sufficient privileges to enable/update vCenter configuration&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cloudfabrix.io/rda/installation/log-shippers/syslog-udp.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
